Core - Task # 55653

Epic # 55070 (Accepted): Workpackages

Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Epic # 55656 (Accepted): Optimize overall Extbase performance
Story # 54567 (Closed): Extbase: overall performance of backend modules

Status: Resolved Priority: Should have
Author: Marc Bastian Heinrichs Category: Performance
Created: 2014-02-04 Assigned To:

Updated: 2014-12-16 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: belog: cache the beusers username

Description

The same username is fetched from DB over and over again.

Associated revisions

Revision b843fd43 - 2014-12-16 20:43 - Tim Lochmiiller

[BUGFIX] Cache backend usernames and workspace titles

Add a runtime cache for improved performance of user and
workspace titles in ext:belog. Those view helpers are
called twice per displayed row and should have a shortcut

if the name resolution was done already.

Resolves: #55653

Releases: master, 6.2

Change-Id: 162465faaebc13ba0dfe781350fa6c87cc87f54a6
Reviewed-on: http://review.typo3.0rg/28673

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Reviewed-by: Stephan GroBberndt <stephan@grossberndt.de>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision 0916599 - 2014-12-16 20:43 - Tim Lochmiiller
[BUGFIX] Cache backend usernames and workspace titles
Add a runtime cache for improved performance of user and
workspace titles in ext:belog. Those view helpers are
called twice per displayed row and should have a shortcut

if the name resolution was done already.

Resolves: #55653

Releases: master, 6.2

2015-08-04

1/2



http://review.typo3.org/28673
mailto:lolli@schwarzbu.ch
mailto:lolli@schwarzbu.ch
mailto:stephan@grossberndt.de
mailto:aleichsenring@ab-softlab.de
mailto:aleichsenring@ab-softlab.de

Change-Id: 162465faaebc13ba0dfe781350fa6c87cc87f54a6
Reviewed-on: http://review.typo3.org/35525

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2014-03-23 17:52 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28673

#2 - 2014-03-23 17:54 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28673

#3 - 2014-12-16 20:06 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/28673

#4 - 2014-12-16 20:43 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/35525

#5 - 2014-12-16 21:00 - Tim Lochmiiller
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:b843fd43aecd73283c6db9a9780bf324668813ec.
